{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PJT_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "GP_ORDRE"; }; 
            name = pjtId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PJT_ID_PERE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "GP_ORDRE_PERE"; }; 
            name = pjtIdPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PJT_LIBELLE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "GP_LIBELLE"; }; 
            name = pjtLibelle; 
            valueClassName = NSString; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TPJT_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TGPE_ID"; }; 
            name = tpjtId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pjtId, exeOrdre, tpjtId, pjtIdPere); 
    className = "org.cocktail.cocowork.server.metier.convention.Projet"; 
    classProperties = (pjtLibelle, typeProjet, projetPere, projetContrats, exerciceCocktail); 
    externalName = "ACCORDS.PROJET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (pjtLibelle, typeProjet, projetPere); 
        "_javaClientClassName" = "org.cocktail.cocowork.client.metier.convention.Groupe"; 
        "_nameInObjectStore" = "ACCORDS.GROUPE"; 
    }; 
    name = CWProjet; 
    primaryKeyAttributes = (pjtId); 
    relationships = (
        {
            destination = "FwkJefyAdmin_ExerciceCocktail"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exerciceCocktail; 
        }, 
        {
            destination = CWProjetContrat; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pjtId; sourceAttribute = pjtId; }); 
            name = projetContrats; 
        }, 
        {
            destination = CWProjet; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pjtId; sourceAttribute = pjtIdPere; }); 
            name = projetPere; 
        }, 
        {
            destination = CWTypeProjet; 
            internalInfo = {"_nameInObjectStore" = typeGroupe; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tpjtId; sourceAttribute = tpjtId; }); 
            name = typeProjet; 
        }
    ); 
}
